| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::thread_member Struct Reference

represents membership of a user with a thread More...

`#include <thread.h>`

Inheritance diagram for dpp::thread_member:
[legend]
Collaboration diagram for dpp::thread_member:
[legend]

## Public Member Functions

std::string | build_json (bool with_id=false) const
| Convert object to json string.
thread_member & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
auto | to_json (bool with_id=false) const
| Convert object to nlohmann::json.

## Public Attributes

uint32_t | flags = 0
| Any user-thread settings, currently only used for notifications.
time_t | joined = 0
| The time when user last joined the thread.
snowflake | thread_id = {}
| ID of the thread member is part of.
snowflake | user_id = {}
| ID of the member.

## Protected Member Functions

thread_member & | fill_from_json_impl (nlohmann::json *j)
| Read struct values from a json object.

## Friends

struct | json_interface< thread_member >

## Detailed Description

represents membership of a user with a thread

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< thread_member >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

thread_member & dpp::json_interface< thread_member >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

thread_member & dpp::thread_member::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Read struct values from a json object.

Parameters

  j | json to read values from

Returns
  A reference to self

## ◆ to_json()

auto dpp::json_interface< thread_member >::to_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to nlohmann::json.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  json Json built from the structure

## Friends And Related Symbol Documentation

## ◆ json_interface< thread_member >

friend struct json_interface< thread_member >

friend

## Member Data Documentation

## ◆ flags

uint32_t dpp::thread_member::flags = 0

Any user-thread settings, currently only used for notifications.

## ◆ joined

time_t dpp::thread_member::joined = 0

The time when user last joined the thread.

## ◆ thread_id

snowflake dpp::thread_member::thread_id = {}

ID of the thread member is part of.

## ◆ user_id

snowflake dpp::thread_member::user_id = {}

ID of the member.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0